std::multiset::empty(3)

NAME
std::multiset::empty - std::multiset::empty

Synopsis
   bool empty() const; (until C++11)
   bool empty() const noexcept; (since C++11)
                        (until C++20)
   [[nodiscard]] bool empty() const noexcept; (since C++20)
   Checks if the container has no elements, i.e. whether begin() == end().

Parameters
   (none)

Return value
   true if the container is empty, false otherwise

Complexity
   Constant.

Example
   The following code uses empty to check if a std::multiset<int> contains any
   elements: // Run this code
 #include <set>
 #include <iostream>
 int main()
 {
     std::multiset<int> numbers;
     std::cout << std::boolalpha;
     std::cout << "Initially, numbers.empty(): " << numbers.empty() << '\n';
     numbers.insert(42);
     numbers.insert(13317);
     std::cout << "After adding elements, numbers.empty(): " << numbers.empty() << '\n';
 }

Output:
 Initially, numbers.empty(): true
 After adding elements, numbers.empty(): false

See also
   size returns the number of elements
           (public member function)
   empty checks whether the container is empty
   (C++17) (function template)